
<div class="container">
  <!-- image/icon  -->
  <img src="/assets/image/pencil.png" height= "150px" alt="">
    <h1 class="title">Academic Application</h1>
  <div>
      <div id="personalinfobar">
        <h4>Personal Information</h4>
      </div>

      <div class="row">
        <div class="inputs">
          <label>Full Name:</label>
            <input [(ngModel)]="userInput" name = "userInput" class="nameinput">
            <label id="datelabel">Date:</label>
          <input [(ngModel)]="dateInput" name = "dateInput" class="dateinput" type="date">
        </div>
        <div class="inputs">
          <label>Address:</label>
            <input [(ngModel)]="addressInput" name = "addressInput" class="addressInput">
        </div>
        <div class="inputs">
            <label>Phone</label>
              <mat-form-field appearance="outline">
                <input matInput [textMask]="{mask:phone}"/>
              </mat-form-field>
        </div>
     </div>
</div>
        <div class="inputs">
          <label>Cohort Start Date:</label>
            <input id="cohortdate" type="date">
            
          <label>Social Security No:</label>
          <input [(ngModel)]= "ssInput" name="ssInput" class="ssInput" [textMask]="{mask: ss}"/>
          
          <label>Birthdate:</label>
          <input [(ngModel)]= "bdInput" name="bdInput" class="bdInput" type="date">
        </div>
        
        <div class="inputs" id="checkbox">
          <small>Are you a citizen of the United States?</small>
          <label>Yes</label>
          <input type="checkbox">
          <label>No</label>
          <input type="checkbox">
          <br>
          <!-- <mat-radio-group aria-label="citizen">
            <mat-radio-button value="1">Yes</mat-radio-button>
            <mat-radio-button value="2">No</mat-radio-button>
          </mat-radio-group> -->
          <small id="check">If no, are you authorized to work in the U.S.?</small>
          <label>Yes</label>
          <input type="checkbox">
          <label>No</label>
          <input type="checkbox">
        </div>
      <div>
          <mat-form-field appearance="fill">
              <mat-label>Enter your email</mat-label>
                  <input matInput placeholder="pat@example.com" [formControl]="email" required>
              <mat-error *ngIf="email.invalid">{{getErrorMessage()}}</mat-error>
          </mat-form-field>
      </div>
        <br>
        <div class="inputs">
          Emergency
          <br>
          Contact
          <br>
          Name/Ph#:
          <input [(ngModel)]= "phoneInput" name="phoneInput" class="phoneInput" [textMask]="{mask:phone}"/>
        </div>
        <div class="row">
        <label for="maritalStatus">Marital Status</label>
        <select name="maritalStatus" id="maritalStatus">
            <option value="single">Single</option>
            <option value="married">Married</option>
            <option value="divorced">Divorced</option>
            <option value="widowed">Widowed</option>
        </select>
    </div>
        <br>
        <div id="voluntary" >
          <h4>Voluntary Self-Identification</h4>
        </div>
        <div id="centerText">
          <i>
            <small>Completion of this portion of the form is voluntary and will not affect your elibility to CodeBound, or the terms or conditions of your participation. This form will be used for reporting purposes only.</small>
          </i>
        </div>

        <!-- gender -->      
        <div id="gendermenu">
            <h4>Gender:</h4>
            <h6>(Please check one of the options)</h6>
        </div>
        <div>
          <input type="checkbox" id="female">
            <label class="gender">Female</label>
              <input type="checkbox" id="male">
                  <label class="gender">Male</label>
                  <input type="checkbox" id="other">
              <label class="gender">Other</label>
          <input type="checkbox" id="nod">
          <label class="gender">I do not wish to disclose</label>      
      </div>

        <!-- race and ethnicity  -->
        <div id="racemenu">
          <h4>Race/Ethnicity:</h4>
          <h5>Please check one of the descriptions below correponding to the race/ethnic group with which you identify</h5>
      </div>
      <div class="row">
        <div class="col-9">
            Hispanic / Latino
          </div>
            <input type="checkbox">
            <hr>
          <div class="col-9">
            White (Not Hispanic or Latino)
          </div>
            <input type="checkbox">
            <hr>
          <div class="col-9">
            Black or African American (Not Hispanic or Latino) 
          </div>
            <input type="checkbox">
            <hr>
          <div class="col-9">
              Native Hawaiian or Pacific Islander (Not Hispanic or Latino) 
          </div>
              <input type="checkbox">
              <hr>
              <div class="col-9">
                Asian  
              </div>
                <input type="checkbox">
                <hr>
                <div class="col-9">
               Native American or Alaskan or Alaska Native (Not Hispanic or Latino)
                </div>
                  <input type="checkbox">
                  <hr>
                  <div class="col-9">
                    Two or more races (Not Hispanic or Latino) 
                  </div>
                    <input type="checkbox">
                    <hr>
                    <div class="col-9">
                      I do not wish to disclose 
                    </div>
                      <input type="checkbox">
      </div>


          <!-- military service -->
    <div class="inputs">
       <h2>Military Service </h2>
    <div id="centerText">
        <i>
          <small>If you are a veteran or active military, please complete this section.</small>
        </i>
    </div>
      <br>
<!-- branch choice -->
    <div class="inputs">
        <label>Branch: </label>
        <input [(ngModel)]= "branchInput" name="branchInput" class="branchInput">
      
        <label>To:</label>
        <input [(ngModel)]= "toInput" name="toInput" class="toInput" type="date">

        <label>From:</label>
        <input [(ngModel)]= "fromInput" name="fromInput" class="fromInput" type="date">
        <br>
        <label>Rank at Discharge: </label>
        <input [(ngModel)]= "dischargeInput" name="dischargeInput" class="dischargeInput">

        <label>Type of Discharge: </label>
        <input [(ngModel)]= "toInput" name="typeInput" class="typeInput">
      </div>
    
    <!-- disclaimer -->
        <div class="col" style="width: auto;" id="formsgroup">
        <h2>Disclaimer and Signature</h2>
   
 <div id="centerText">
    <i>
      <small>I certify that my answers are true and complete to the best of my knowledge.
          If this application leads to my acceptance to the program, I understand that false or misleading information in my application or interview may result in my release. 
      </small>
    </i>
  </div>
  </div>
  <button (click)="submitInfo()">Submit</button>
    </div>
</div>



<!-- state form -->
  <!-- <mat-form-field appearance="fill">
          <mat-label>State:</mat-label>
          <select matNativeControl required>
            <option value="al">Alabama</option>
            <option value="az">Arizona</option>
            <option value="ak">Arkasas</option>
          </select>
        </mat-form-field> -->

<!-- cohort start date form  -->
  <!-- <mat-form-field appearance="fill"> -->
            <!-- <input matInput [matDatepicker]="picker"> -->
            <!-- <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle> -->
            <!-- <mat-datepicker #picker></mat-datepicker> -->
          <!-- </mat-form-field> -->